This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 741433 - (libpgf) Review Request: libpgf - PGF (Progressive Graphics File) library
Review Request: libpgf - PGF (Progressive Graphics File) library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-09-26 15:53 EDT by nucleo
Modified: 2015-06-30 17:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: libpgf-6.11.24-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-04 17:13:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description nucleo 2011-09-26 15:53:02 EDT
Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/libpgf/libpgf.spec
SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/libpgf/libpgf-6.11.24-1.fc17.src.rpm
Description:
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.
Comment 1 nucleo 2011-09-26 15:54:53 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3379566

rpmlint output:
$ rpmlint libpgf-6.11.24-1.fc17.src.rpm libpgf-6.11.24-1.fc17.i686.rpm libpgf-devel-6.11.24-1.fc17.i686.rpm libpgf-debuginfo-6.11.24-1.fc17.i686.rpm libpgf-6.11.24-1.fc17.x86_64.rpm libpgf-devel-6.11.24-1.fc17.x86_64.rpm libpgf-debuginfo-6.11.24-1.fc17.x86_64.rpm
libpgf.src: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
libpgf.src: W: spelling-error %description -l en_US lossy -> loss, glossy, flossy
libpgf.i686: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
libpgf.i686: W: spelling-error %description -l en_US lossy -> loss, glossy, flossy
libpgf.i686: E: incorrect-fsf-address /usr/share/doc/libpgf-6.11.24/README
libpgf-devel.i686: W: no-documentation
libpgf-devel.i686: E: incorrect-fsf-address /usr/include/libpgf/PGFtypes.h
libpgf-devel.i686: E: incorrect-fsf-address /usr/include/libpgf/PGFplatform.h
libpgf-devel.i686: E: incorrect-fsf-address /usr/include/libpgf/PGFstream.h
libpgf-devel.i686: E: incorrect-fsf-address /usr/include/libpgf/PGFimage.h
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/include/PGFtypes.h
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/src/Decoder.cpp
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/src/BitStream.h
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/src/Decoder.h
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/src/WaveletTransform.h
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/src/WaveletTransform.cpp
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/include/PGFstream.h
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/include/PGFplatform.h
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/src/Subband.h
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/src/Subband.cpp
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/src/PGFimage.cpp
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/src/Encoder.h
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/src/Encoder.cpp
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/src/PGFstream.cpp
libpgf-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libpgf/include/PGFimage.h
libpgf.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
libpgf.x86_64: W: spelling-error %description -l en_US lossy -> loss, glossy, flossy
libpgf.x86_64: E: incorrect-fsf-address /usr/share/doc/libpgf-6.11.24/README
libpgf-devel.x86_64: W: no-documentation
libpgf-devel.x86_64: E: incorrect-fsf-address /usr/include/libpgf/PGFtypes.h
libpgf-devel.x86_64: E: incorrect-fsf-address /usr/include/libpgf/PGFplatform.h
libpgf-devel.x86_64: E: incorrect-fsf-address /usr/include/libpgf/PGFstream.h
libpgf-devel.x86_64: E: incorrect-fsf-address /usr/include/libpgf/PGFimage.h
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/include/PGFtypes.h
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/src/Decoder.cpp
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/src/BitStream.h
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/src/Decoder.h
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/include/PGFstream.h
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/src/WaveletTransform.h
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/src/WaveletTransform.cpp
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/include/PGFplatform.h
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/src/Subband.h
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/src/PGFstream.cpp
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/src/Subband.cpp
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/src/PGFimage.cpp
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/src/Encoder.h
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/src/Encoder.cpp
libpgf-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libpgf/include/PGFimage.h
7 packages and 0 specfiles checked; 40 errors, 8 warnings.
Comment 2 Rex Dieter 2011-09-26 16:35:28 EDT
naming : OK

license: OK

sources: OK
md5sum *.zip
ba197ba886664a9b6f7b9757f5a2fb42  libpgf-6.11.24-src.zip

scriptlets: OK

macros: OK


SHOULD: Add BuildRequires: doxygen
and you'll get some more devel docs (to include in -devel), but that can be done post-review.

Otherwise, simple library, APPROVED.
Comment 3 nucleo 2011-09-26 17:13:11 EDT
Added BuildRequires: doxygen
Patched doc/Makefile.am to not install docs in /usr/share/doc,
html docs installed in %doc instead.

http://nucleo.fedorapeople.org/pkg-reviews/libpgf/libpgf.spec

http://nucleo.fedorapeople.org/pkg-reviews/libpgf/libpgf-6.11.24-1.fc15.src.rpm

Thanks.
Comment 4 nucleo 2011-09-26 17:21:07 EDT
New Package SCM Request
=======================
Package Name: libpgf
Short Description: PGF (Progressive Graphics File) library
Owners: rdieter nucleo
Branches: f15 f16
InitialCC:
Comment 5 Jon Ciesla 2011-09-26 18:48:08 EDT
Git done (by process-git-requests).

rdieter, please take ownership of Review BZs.  Thanks!
Comment 6 Kevin Kofler 2011-09-26 19:01:02 EDT
I searched all of Bugzilla and found only 2 instances where he forgot that (the other one was bug 220635 from 4.5 years ago), so I think he knows the procedure. :-)

I just reassigned the 2 affected bugs.

Now if this is an automated complaint by the script, why can't it reassign the bug by itself instead of complaining?
Comment 7 Fedora Update System 2011-09-26 21:02:42 EDT
libpgf-6.11.24-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libpgf-6.11.24-1.fc16
Comment 8 Fedora Update System 2011-09-26 21:03:01 EDT
libpgf-6.11.24-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libpgf-6.11.24-1.fc15
Comment 9 Fedora Update System 2011-09-27 13:32:01 EDT
libpgf-6.11.24-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 10 Fedora Update System 2011-10-04 17:12:52 EDT
libpgf-6.11.24-1.fc16, digikam-2.1.1-5.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2011-10-08 14:01:13 EDT
libpgf-6.11.24-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 pcheng 2015-06-30 17:30:58 EDT
Is this libpgf still being maintained for security bugs?
Comment 13 nucleo 2015-06-30 17:49:52 EDT
(In reply to pcheng from comment #12)
> Is this libpgf still being maintained for security bugs?

I didn't see any bugs filed for libpgf.

Note You need to log in before you can comment on or make changes to this bug.